# negexp_generator< T > Class Template Reference

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles. More...

`#include <rnd_generators.h>`

List of all members.

## Public Member Functions

| negexp_generator (T _mean=1.0, eoRng &_rng=rng)
T | operator() (void)

## Private Attributes

T | mean
eoRng & | negexp

## Detailed Description

### template<class T = double>
class negexp_generator< T >

The class negexp_generator can be used in the STL generate function to easily generate negative exponential distributed floats and doubles.

The user can supply a mean.

Definition at line 156 of file rnd_generators.h.

The documentation for this class was generated from the following file:

- rnd_generators.h